Order Status Updated

Fired when an order's delivery status changes

Overview

The order.status_updated event is triggered when the delivery status of an order gets updated by the driver. This can involve a driver marking an order as delivered, missed, or scheduled for a re-attempt.

The HTTP request body contains the route object with its uuid for reference, and specific order data that is relevant for executing downstream workflows.

Topic Name

order.status_updated

Request Headers

content-type: 	application/json
x-routific-signature: v0=96f75bab20672af9db0549863fe1b2c6feagf3233708e0670e642effe7b920703
x-routific-topic: 	order.status_updated
x-routific-event-id: 	evt_nRUoQC3hvBb5zohygsa1iP8eEK
x-routific-timestamp: 	2026-06-10T15:03:58Z
FieldTypeDescription
x-routific-event-idStringUnique identifier for this webhook event. This value should remain the same across retries and can be used as an idempotency key.
x-routific-timestampDateTimeDate and Time in UTC for when the webhook delivery attempt was made.
x-routific-signatureStringSignature of the webhook payload and metadata. For HMAC-SHA256 signatures, the value is prefixed with v0=
x-routific-topicStringEvent name of the webhook

Request Body

{
  "type": "order.status_updated",
  "timestamp": "2024-09-25T14:30:00Z",
  "data": {
    "order": {
      "uuid": "e494bee9-8f01-42b6-9ef2-b61bca2df8f3",
      "uri": "/v1/orders/e494bee9-8f01-42b6-9ef2-b61bca2df8f3",
      "workspaceId": 47,
      "customerOrderNumber": "CUST-1001",
      "routificOrderNumber": "ROUT-20A1",
      "status": "delivered",
      "deliveryTime": "2024-09-25T14:29:52Z",
      "deliveryMissedReason": null,
      "deliveryNotes": "test",
      "location": {
        "address": "510 W 8th Ave, Vancouver, BC V5Z 1C5, Canada",
        "latitude": 49.26413,
        "longitude": -123.11499
      }
    },
    "route": {
      "uuid": "246612f0-f160-4649-bb16-292ebaa43555"
    }
  }
}
FieldTypeDescription
typestringThis is the topic name for the event. For this webhook, the value is order.status_updated.
timestampstringISO 8601 timestamp for when the route publish event occurred.
dataobjectEvent-specific payload containing route, timeline, stop, and order details.
route.uuidstringUnique identifier of the route.
order.uuidstringUnique identifier of the order.
order.uristringURL endpoint to access additional details about the order.
order.workspaceIdintegerID of the workspace where the order belongs.
order.customerOrderNumberstringCustomer-provided order number.
order.routificOrderNumberstringRoutific order number. This always uses the ROUT-XXYY format.
order.statusstringCurrent status of the order. Possible values aredeliveredor missed.
order.deliveryTimestringTimestamp of when the order's status changed to delivered or missed.
order.deliveryMissedReasonstringThe reason chosen by the driver for missing the delivery of the order.
order.deliveryNotesstringDelivery notes recorded by the driver.
order.location.addressstringDelivery address of the order.
orders.address.latitude
orders.address.longitude
integerExact delivery location for the order in terms of latitude and longitude.